#include "xstreamsourceinfo.h"

XStreamSourceInfo::XStreamSourceInfo()
    : XAsset()
    , mStream(0)
    , mOffset(0)
    , mType(0)
{
    
}

XStreamSourceInfo::~XStreamSourceInfo()
{
    
}

void XStreamSourceInfo::Clear()
{
    mStream = 0;
    mOffset = 0;
    mType = 0;
}

void XStreamSourceInfo::ParseData(QDataStream *aStream)
{
    
}
